### Class

# Ide Range

#### Description

    class Ide.Range : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_range_new

No description available.

###### ide_range_new_from_variant

No description available.

Available since: 3.32

#### Instance methods

###### ide_range_get_begin

No description available.

Available since: 3.32

###### ide_range_get_end

No description available.

Available since: 3.32

###### ide_range_to_variant

Creates a variant to represent the range.

Available since: 3.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.Range:begin

No description available.

###### Ide.Range:end

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeRangeClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.